[arch-commits] Commit in xfdesktop/repos (extra-x86_64 extra-x86_64/PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Tue Oct 28 17:21:26 EDT 2008


    Date: Tuesday, October 28, 2008 @ 17:21:26
  Author: andyrtr
Revision: 17362

Merged revisions 17361 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xfdesktop/trunk

........
  r17361 | andyrtr | 2008-10-28 21:20:39 +0000 (Di, 28 Okt 2008) | 1 line
  
  upgpkg: xfdesktop 4.4.3-1
........

Modified:
  xfdesktop/repos/extra-x86_64/	(properties)
  xfdesktop/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)


Property changes on: xfdesktop/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xfdesktop/trunk:1-12017
   + /xfdesktop/trunk:1-17361

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-28 21:20:39 UTC (rev 17361)
+++ extra-x86_64/PKGBUILD	2008-10-28 21:21:26 UTC (rev 17362)
@@ -2,29 +2,27 @@
 # Maintainer: Tobias Kieslich <tobias at archlinux.org>
 
 pkgname=xfdesktop
-pkgver=4.4.2
-pkgrel=4
+pkgver=4.4.3
+pkgrel=1
 pkgdesc="A desktop manager for Xfce"
 arch=(i686 x86_64)
 license=('GPL2')
 url="http://www.xfce.org/"
 groups=('xfce4')
-depends=('libxfcegui4>=4.4.2' 'libxfce4mcs>=4.4.2' 'libxml2' 'thunar>=0.9')
-makedepends=('xfce4-panel>=4.4.2' 'xfce-mcs-manager>=4.4.2' 'pkgconfig')
+depends=('libxfcegui4>=4.4.3' 'libxfce4mcs>=4.4.3' 'libxml2' 'thunar>=0.9.3' 'hicolor-icon-theme')
+makedepends=('xfce4-panel>=4.4.3' 'xfce-mcs-manager>=4.4.3' 'pkgconfig')
+optdepends=('xfce4-panel:	to use xfce4-menu-plugin')
 conflicts=('xfce4-menueditor')
 replaces=('xfce4-menueditor')
 options=('!libtool')
 install=${pkgname}.install
-source=(http://www.xfce.org/archive/xfce-${pkgver}/src/${pkgname}-${pkgver}.tar.bz2
-        memleak.patch)
-md5sums=('694601234e74903d0fccba064f411e0c'
-         '25db1e6f1702709a54288f21304d6dd2')
+source=(http://www.xfce.org/archive/xfce-${pkgver}/src/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('3c1ea8d2ccb3cfbbbbba834214ad5d2e')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np0 -i ${srcdir}/memleak.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
     --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }




More information about the arch-commits mailing list